Name:       kdevelop-python
Version:    1.7.3
%global py3_suffix -py3
%global py3_tag .py3
Release:    1%{?py3_tag}%{?dist}
License:    GPLv2
%global kdevelop_version %(echo %{version} | sed -e 's/^1\./4./g')
Source0:    http://download.kde.org/stable/kdevelop/%{kdevelop_version}/src/kdev-python-%{version}%{?py3_suffix}.tar.bz2

# ensure the installed Python 3 scripts have #!/usr/bin/env python3
Patch0:     kdev-python-1.7.0-py3-shebang.patch

# remove bogus autogenerated set"other methods from
# documentation_files/__builtin_types__.py that are actually the < and >
# operators, not methods - the bogus syntax (quote in identifier) makes the
# brp-python-bytecompile script choke
Patch1:     kdev-python-1.7.0-py3-doc-syntax.patch

Summary:    Python 3 Plugin for KDevelop
URL:        https://www.kdevelop.org/

BuildRequires:  kdelibs4-devel
BuildRequires:  qtwebkit-devel
BuildRequires:  kdevplatform-devel >= %{version}
BuildRequires:  python3-devel >= 3.4
BuildRequires:  gettext

# force using Python 3 for bytecompiling
%global __python %{__python3}

Requires:       kdevelop = 9:%{kdevelop_version}

%description
Python 3 language support for the KDevelop Integrated Development Environment.

%prep
%setup -qn kdev-python-%{version}%{?py3_suffix}
# don't use backups because CMakeLists.txt installs the whole directory
# shebang
%patch0 -p1
# doc-syntax
%patch1 -p1

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ../
popd
make %{?_smp_mflags} -C %{_target_platform} 

%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

# don't ship this Python 2 script, it is only used to generate the
# documentation_files, it is not needed at runtime
rm -f %{buildroot}%{_kde4_appsdir}/kdevpythonsupport/documentation_files/PyKDE4/parse_xml.py

%find_lang kdevpython

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f kdevpython.lang
%doc DESIGN TODO README
%{_kde4_datadir}/kde4/services/kdevpythonsupport.desktop
%{_kde4_datadir}/kde4/services/kdevpdb.desktop
%{_kde4_datadir}/kde4/services/kcm_kdevpythondocfiles.desktop
%{_kde4_datadir}/kde4/services/kcm_kdevpythonpep8.desktop
%{_kde4_libdir}/kde4/kdevpythonlanguagesupport.so
%{_kde4_libdir}/kde4/kdevpdb.so
%{_kde4_libdir}/kde4/kcm_docfiles.so
%{_kde4_libdir}/kde4/kcm_pep8.so
%{_kde4_libdir}/libkdev4pythonduchain.so
%{_kde4_libdir}/libkdev4pythonparser.so
%{_kde4_libdir}/libkdev4pythoncompletion.so
%{_kde4_appsdir}/kdevpythonsupport
%{_kde4_appsdir}/kdevappwizard/templates/*
%{_kde4_configdir}/kdev_python_docfiles.knsrc

%changelog
* Tue Jan 26 2016 Jan Grulich <jgrulich@redhat.com> - 1.7.3-1.py3
- Update to 1.7.3

* Mon Oct 12 2015 Jan Grulich <jgrulich@redhat.com> - 1.7.2-1.py3
- Update to 1.7.2

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7.1-3.py3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 1.7.1-2.py3
- Rebuilt for GCC 5 C++11 ABI change

* Tue Feb 10 2015 Jan Grulich <jgrulich@redhat.com> - 1.7.1-1.py3
- update to 1.7.1-py3

* Sat Sep 27 2014 Kevin Kofler <Kevin@tigcc.ticalc.org> - 1.7.0-1.py3
- update to 1.7.0-py3 (#1146723)
- specfile cleanups
- ensure the installed Python 3 scripts have #!/usr/bin/env python3

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Minh Ngo <minh@fedoraproject.org> 1.4.1-3
- possible fixing a bug with libpython2.7-kdevelop.so.1.0 requirement

* Thu Feb 14 2013 Minh Ngo <minh@fedoraproject.org> 1.4.1-2
- have added _kde4_appsdir macro
- have dropped updata-mime-database scriptlets
- have omitted cmake requirement
- have removed desktop-file-install script
- removing python2.7 hardcode

* Sat Dec 01 2012 Minh Ngo <minh@fedoraproject.org> 1.4.1-1
- initial build
